---
features:
  - |
    The network data for composible networks have been extended to enable
    configuration of the  maximum transmission unit (MTU) that is guaranteed to
    pass through the data path of the segments in the network. The MTU property
    is set on the neutron networks in the undercloud. The MTU information
    is used in the nic-config templates so that overcloud node networking is
    configured with the correct MTU settings.
upgrade:
  - |
    Prior to upgrading any custom nic-config templates must have the MTU
    associated parameters introduced in this release added. As an example the
    following must be added to all nic-config templates when network isolation
    is used::

      ControlPlaneMtu:
        default: 1500
        description: The maximum transmission unit (MTU) size(in bytes) that is
          guaranteed to pass through the data path of the segments in the network.
          (The parameter is automatically resolved from the ctlplane network's mtu attribute.)
        type: number
      StorageMtu:
        default: 1500
        description: The maximum transmission unit (MTU) size(in bytes) that is
          guaranteed to pass through the data path of the segments in the
          Storage network.
        type: number
      StorageMgmtMtu:
        default: 1500
        description: The maximum transmission unit (MTU) size(in bytes) that is
          guaranteed to pass through the data path of the segments in the
          StorageMgmt network.
        type: number
      InternalApiMtu:
        default: 1500
        description: The maximum transmission unit (MTU) size(in bytes) that is
          guaranteed to pass through the data path of the segments in the
          InternalApi network.
        type: number
      TenantMtu:
        default: 1500
        description: The maximum transmission unit (MTU) size(in bytes) that is
          guaranteed to pass through the data path of the segments in the
          Tenant network.
        type: number
      ExternalMtu:
        default: 1500
        description: The maximum transmission unit (MTU) size(in bytes) that is
          guaranteed to pass through the data path of the segments in the
          External network.
        type: numbe
      ManagementMtu:
        default: 1500
        description: The maximum transmission unit (MTU) size(in bytes) that is
          guaranteed to pass through the data path of the segments in the
          Management network.
        type: number
